%define piname	objsearch_pi

Name:		opencpn-objsearch-plugin
Summary:	Chart Object Search plugin for OpenCpn
Version:	0.7
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/nohal/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Allows search of named objects on S-57 and CM93 vector charts.

Note: After the installation, the plug-in does not know anything about your
charts, you must view a chart at least once to populate the plug-in's database
with it's content.
This one time operation makes OpenCPN slower, however during subsequent views
of the same chart the speed of the application is unaffected.
Once the database is populated, the charts are no longer needed, so if you
prefer to use raster charts, you can populate the database from the ENC
chartset and then switch back to RNC charts and the search capabilities will
still be available.

%prep
%setup -q -n %{piname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 0.7-1pclos2017
- new version

